@import url('https://fonts.googleapis.com/css?family=Rubik');

body {
    height: 100vh;
    margin: 0;
    background-color: #FFF;
    
    .container {
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        z-index: 1000;
        
        .row {
            width: 100%;
            display: flex;
            justify-content: center;
            
            h2 {
                border-top: 1px solid #CCC;
                margin: 30px 0 0 0;
                padding: 20px 50px 0;
                font-family: 'Rubik', sans-serif;
                font-size: 20px;
                color: #000;
                letter-spacing: 1px;
            }
        
            .action-buttons {
                width: 180px;
                height: 180px;
                border-radius: 50%;
                background-color: #000;
                position: relative;

                .button {
                    width: 50px;
                    height: 50px;
                    display: flex;
                    justify-content: center;
                    align-items: center;
                    position: absolute;
                    border-radius: 50%;
                    box-shadow: 0 0 3px 1px rgba(255, 255, 255, .6);
                    background: rgb(0,0,0);
                    background: linear-gradient(45deg, rgba(0,0,0,1) 45%, rgba(34,34,34,1) 85%, rgba(255,255,255,1) 100%);
                }

                .circle {
                    top: 50%;
                    right: 10px;
                    transform: translateY(-50%);

                    &:before {
                        content: '';
                        width: 30px;
                        height: 30px;
                        display: inline-block;
                        border-radius: 40px;
                        border: 3px solid #D4706C;
                    }
                }

                .cross {
                    bottom: 10px;
                    left: 50%;
                    transform: translateX(-50%);

                    &:before,
                    &:after {
                        content: '';
                        width: 35px;
                        height: 3px;
                        position: absolute;
                        background-color: #9FAAD9;
                    }

                    &:before {
                        transform: rotate(-45deg);
                    }

                    &:after {
                        transform: rotate(45deg);
                    }
                }

                .square {
                    top: 50%;
                    left: 10px;
                    transform: translateY(-50%);

                    &:before {
                        content: '';
                        width: 22px;
                        height: 22px;
                        border: 3px solid #D78DB5;
                    }
                }

                .triangle {
                    top: 10px;
                    left: 50%;
                    transform: translateX(-50%);

                    &:before,
                    &:after {
                        content: '';
                        position: absolute;
                        width: 0;
                        height: 0;
                        border: 15px solid transparent;
                        border-bottom: 30px solid #0DEFD5;
                        transform: translateY(-25%);
                    }

                    &:after {
                        border-bottom-color: #000;
                        transform: scale(.65) translateY(-23%);
                    }
                }
            }
        }
    }
}